/[jscoverage]/trunk/tests/server-unreadable-directory.sh
ViewVC logotype

Contents of /trunk/tests/server-unreadable-directory.sh

Parent Directory Parent Directory | Revision Log Revision Log


Revision 570 - (show annotations)
Mon May 24 03:13:28 2010 UTC (9 years, 9 months ago) by siliconforks
File MIME type: application/x-sh
File size: 1494 byte(s)
Remove all timing dependencies.

1 #!/bin/sh
2 # server-unreadable-directory.sh - test jscoverage-server with unreadable directory
3 # Copyright (C) 2008, 2009, 2010 siliconforks.com
4 #
5 # This program is free software; you can redistribute it and/or modify
6 # it under the terms of the GNU General Public License as published by
7 # the Free Software Foundation; either version 2 of the License, or
8 # (at your option) any later version.
9 #
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY; without even the implied warranty of
12 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
13 # GNU General Public License for more details.
14 #
15 # You should have received a copy of the GNU General Public License along
16 # with this program; if not, write to the Free Software Foundation, Inc.,
17 # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
18
19 set -e
20
21 # skip on windows
22 uname=`uname`
23 case "$uname" in
24 CYGWIN* | MINGW*)
25 exit 77
26 ;;
27 esac
28
29 shutdown() {
30 wget -q -O- --post-data= "http://127.0.0.1:${server_port}/jscoverage-shutdown" > /dev/null
31 wait $server_pid
32 }
33
34 cleanup() {
35 rmdir DIR
36 shutdown
37 }
38
39 trap 'cleanup' 0 1 2 3 15
40
41 export PATH=.:..:$PATH
42
43 rm -fr DIR
44 mkdir DIR
45 chmod 000 DIR
46 $VALGRIND jscoverage-server > OUT 2> ERR &
47 server_pid=$!
48 server_port=8080
49
50 wait_for_server http://127.0.0.1:8080/jscoverage.html
51
52 echo 404 > EXPECTED
53 ! curl -f -w '%{http_code}\n' http://127.0.0.1:8080/DIR/ 2> /dev/null > ACTUAL
54 diff EXPECTED ACTUAL

Properties

Name Value
svn:executable *

  ViewVC Help
Powered by ViewVC 1.1.24